Subject: [pkix] [Editorial Errata Reported] RFC4210 (3949)

From: RFC Errata System <[email-masked]>
Date: Wed, 2 Apr 2014 22:08:09 -0700 (PDT)

The following errata report has been submitted for RFC4210,
"Internet X.509 Public Key Infrastructure Certificate Management Protocol (CMP)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata_search.php?rfc=4210&eid=3949

--------------------------------------
Type: Editorial
Reported by: Tom Biskupic <[email-masked]>

Section: 5.3.4

Original Text
-------------
CertRepMessage ::= SEQUENCE {
         caPubs          [1] SEQUENCE SIZE (1..MAX) OF Certificate
                             OPTIONAL,
         response            SEQUENCE OF CertResponse
     }

Corrected Text
--------------
CertRepMessage ::= SEQUENCE {
         caPubs       [1] SEQUENCE SIZE (1..MAX) OF CMPCertificate
                          OPTIONAL,
         response         SEQUENCE OF CertResponse
     }

Notes
-----
The definition in the text is different to the one in the ASN.1 module contained in Appendix F. The correct text is assumed to be the one from Appendix F

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party (IESG)
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC4210 (draft-ietf-pkix-rfc2510bis-09)
--------------------------------------
Title               : Internet X.509 Public Key Infrastructure Certificate Management Protocol (CMP)
Publication Date    : September 2005
Author(s)           : C. Adams, S. Farrell, T. Kause, T. Mononen
Category            : PROPOSED STANDARD
Source              : Public-Key Infrastructure (X.509)
Area                : Security
Stream              : IETF
Verifying Party     : IESG

---

From: "Carlisle Adams" <[email-masked]>
Date: Thu, 3 Apr 2014 17:05:53 -0400

Hello,

I agree that this is an error -- the correct text is what is in Appendix F.

Note that this is not the only such revision that should be made.  For
example, the same error appears in Section 5.2.5 for 

        OOBCert ::= Certificate

and in Section 5.3.4 for 

     CertOrEncCert ::= CHOICE {
         certificate     [0] Certificate,
         encryptedCert   [1] EncryptedValue
     }

(in both cases, "Certificate" should be "CMPCertificate").  Perhaps there
are 1 or 2 other places as well that I haven't noticed.  I think at one
point Appendix F got edited but the main body of the spec did not.  Note
that this does not affect implementation or interoperability since Appendix
F is the official ASN.1 specification, but it would still be nice to have
consistency throughout.

Thanks very much for catching this!

Carlisle Adams.

-----Original Message-----
From: RFC Errata System [mailto:[email-masked]] 
Sent: April-03-14 1:08 AM
To: [email-masked]; [email-masked]; [email-masked];
[email-masked]; [email-masked];
[email-masked]; [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: [Editorial Errata Reported] RFC4210 (3949)

The following errata report has been submitted for RFC4210, "Internet X.509
Public Key Infrastructure Certificate Management Protocol (CMP)".

Section: 5.3.4

Original Text
-------------

Corrected Text
--------------

Notes
-----
The definition in the text is different to the one in the ASN.1 module
contained in Appendix F. The correct text is assumed to be the one from
Appendix F

Instructions:
-------------
This errata is currently posted as "Reported". If necessary, please use
"Reply All" to discuss whether it should be verified or rejected. When a
decision is reached, the verifying party (IESG) can log in to change the
status and edit the report, if necessary. 

--------------------------------------
RFC4210 (draft-ietf-pkix-rfc2510bis-09)
--------------------------------------
Title               : Internet X.509 Public Key Infrastructure Certificate
Management Protocol (CMP)
Publication Date    : September 2005
Author(s)           : C. Adams, S. Farrell, T. Kause, T. Mononen
Category            : PROPOSED STANDARD
Source              : Public-Key Infrastructure (X.509)
Area                : Security
Stream              : IETF
Verifying Party     : IESG